curl -X DELETE https://snip.sa/api/urls/507f1f77bcf86cd799439011 \
-H "X-API-Key: your_api_key_here"
const response = await axios.delete(
'https://snip.sa/api/urls/507f1f77bcf86cd799439011',
{
headers: {
'X-API-Key': 'your_api_key_here'
}
}
);
response = requests.delete(
'https://snip.sa/api/urls/507f1f77bcf86cd799439011',
headers={'X-API-Key': 'your_api_key_here'}
)
{
"success": true,
"message": "URL deleted successfully"
}
URLs
Delete URL
Delete a shortened URL permanently
DELETE
/
api
/
urls
/
{id}
curl -X DELETE https://snip.sa/api/urls/507f1f77bcf86cd799439011 \
-H "X-API-Key: your_api_key_here"
const response = await axios.delete(
'https://snip.sa/api/urls/507f1f77bcf86cd799439011',
{
headers: {
'X-API-Key': 'your_api_key_here'
}
}
);
response = requests.delete(
'https://snip.sa/api/urls/507f1f77bcf86cd799439011',
headers={'X-API-Key': 'your_api_key_here'}
)
{
"success": true,
"message": "URL deleted successfully"
}
Path Parameters
URL ID
This action is permanent and cannot be undone. The short code will become available for reuse.
curl -X DELETE https://snip.sa/api/urls/507f1f77bcf86cd799439011 \
-H "X-API-Key: your_api_key_here"
const response = await axios.delete(
'https://snip.sa/api/urls/507f1f77bcf86cd799439011',
{
headers: {
'X-API-Key': 'your_api_key_here'
}
}
);
response = requests.delete(
'https://snip.sa/api/urls/507f1f77bcf86cd799439011',
headers={'X-API-Key': 'your_api_key_here'}
)
{
"success": true,
"message": "URL deleted successfully"
}
⌘I
